"use strict";
/**
 * @internal
 */
class NoConnectionForRepositoryError extends Error {
    constructor(connectionName) {
        super();
        this.name = "NoConnectionForRepositoryError";
        this.message = `Cannot get a Repository for "${connectionName} connection, because connection with the database ` +
            `is not established yet. Call connection#connect method to establish connection.`;
    }
}
exports.NoConnectionForRepositoryError = NoConnectionForRepositoryError;

//# sourceMappingURL=NoConnectionForRepositoryError.js.map
