"use strict";
/**
 * @internal
 */
class ReactiveRepositoryNotFoundError extends Error {
    constructor(connectionName, entityClass) {
        super();
        this.name = "ReactiveRepositoryNotFoundError";
        const targetName = typeof entityClass === "function" && entityClass.name ? entityClass.name : entityClass;
        this.message = `No reactive repository for "${targetName}" was found. Looks like this entity is not registered in ` +
            `current "${connectionName}" connection?`;
    }
}
exports.ReactiveRepositoryNotFoundError = ReactiveRepositoryNotFoundError;

//# sourceMappingURL=ReactiveRepositoryNotFoundError.js.map
