import { PropertyMetadata } from "./PropertyMetadata";
import { RelationMetadata } from "./RelationMetadata";
import { ColumnMetadata } from "./ColumnMetadata";
import { JoinColumnMetadataArgs } from "../metadata-args/JoinColumnMetadataArgs";
/**
 * JoinColumnMetadata contains all information about relation's join column.
 */
export declare class JoinColumnMetadata extends PropertyMetadata {
    /**
     * Relation - owner of this join column metadata.
     */
    relation: RelationMetadata;
    /**
     * Join column name.
     */
    private readonly _name;
    /**
     * Join column referenced column name.
     */
    private readonly referencedColumnName;
    constructor(args: JoinColumnMetadataArgs);
    /**
     * Join column name.
     */
    readonly name: string;
    /**
     * Referenced join column.
     */
    readonly referencedColumn: ColumnMetadata;
}
